<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpStringComboBox: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpSizeEntry.html" title="GimpSizeEntry">
<link rel="next" href="GimpUnitStore.html" title="GimpUnitStore">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpStringComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpStringComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpStringComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpStringComboBox.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpSizeEntry.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpUnitStore.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpStringComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpStringComboBox.top_of_page"></a>GimpStringComboBox</span></h2>
<p>GimpStringComboBox — A <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> subclass to select strings.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-string-combo-box.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpStringComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpStringComboBox.html#gimp-string-combo-box-new" title="gimp_string_combo_box_new ()">gimp_string_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
</td>
<td class="function_name">
<a class="link" href="GimpStringComboBox.html#gimp-string-combo-box-set-active" title="gimp_string_combo_box_set_active ()">gimp_string_combo_box_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpStringComboBox.html#gimp-string-combo-box-get-active" title="gimp_string_combo_box_get_active ()">gimp_string_combo_box_get_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type"><span class="type">PangoEllipsizeMode</span></td>
<td class="property_name"><a class="link" href="GimpStringComboBox.html#GimpStringComboBox--ellipsize" title="The “ellipsize” property">ellipsize</a></td>
<td class="property_flags">Read / Write</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpStringComboBox.html#GimpStringComboBox--id-column" title="The “id-column” property">id-column</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpStringComboBox.html#GimpStringComboBox--label-column" title="The “label-column” property">label-column</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpStringComboBox.html#GimpStringComboBox-struct" title="GimpStringComboBox">GimpStringComboBox</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkContainer.html#GtkContainer-struct">GtkContainer</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkBin.html#GtkBin-struct">GtkBin</a>
                        <span class="lineart">╰──</span> <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct">GtkComboBox</a>
                            <span class="lineart">╰──</span> GimpStringComboBox
</pre>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpStringComboBox implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>,  <a href="../gtk2/GtkCellLayout.html#GtkCellLayout-struct">GtkCellLayout</a> and  <a href="../gtk2/GtkCellEditable.html#GtkCellEditable-struct">GtkCellEditable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.description"></a><h2>Description</h2>
<p>A <a href="../gtk2/GtkComboBox.html#GtkComboBox-struct"><span class="type">GtkComboBox</span></a> subclass to select strings.</p>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-string-combo-box-new"></a><h3>gimp_string_combo_box_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_string_combo_box_new (<em class="parameter"><code><a href="../gtk2/GtkTreeModel.html#GtkTreeModel-struct"><span class="type">GtkTreeModel</span></a> *model</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> id_column</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> label_column</code></em>);</pre>
<div class="refsect3">
<a name="gimp-string-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>model</p></td>
<td class="parameter_description"><p>a <a href="../gtk2/GtkTreeModel.html#GtkTreeModel-struct"><span class="type">GtkTreeModel</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>id_column</p></td>
<td class="parameter_description"><p>the model column of the ID</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>label_column</p></td>
<td class="parameter_description"><p>the modl column of the label</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-string-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpStringComboBox.html" title="GimpStringComboBox"><span class="type">GimpStringComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-string-combo-box-set-active"></a><h3>gimp_string_combo_box_set_active ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gboolean"><span class="returnvalue">gboolean</span></a>
gimp_string_combo_box_set_active (<em class="parameter"><code><a class="link" href="GimpStringComboBox.html" title="GimpStringComboBox"><span class="type">GimpStringComboBox</span></a> *combo_box</code></em>,
                                  <em class="parameter"><code>const <a href="../glib/glib-Basic-Types.html#gchar"><span class="type">gchar</span></a> *id</code></em>);</pre>
<p>Looks up the item that belongs to the given <em class="parameter"><code>id</code></em>
 and makes it the
selected item in the <em class="parameter"><code>combo_box</code></em>
.</p>
<div class="refsect3">
<a name="gimp-string-combo-box-set-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo_box</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpStringComboBox.html" title="GimpStringComboBox"><span class="type">GimpStringComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>id</p></td>
<td class="parameter_description"><p>the ID of the item to select</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-string-combo-box-set-active.returns"></a><h4>Returns</h4>
<p> <a href="../glib/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> on success or <a href="../glib/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> if there was no item for
this value.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-string-combo-box-get-active"></a><h3>gimp_string_combo_box_get_active ()</h3>
<pre class="programlisting"><a href="../glib/glib-Basic-Types.html#gchar"><span class="returnvalue">gchar</span></a> *
gimp_string_combo_box_get_active (<em class="parameter"><code><a class="link" href="GimpStringComboBox.html" title="GimpStringComboBox"><span class="type">GimpStringComboBox</span></a> *combo_box</code></em>);</pre>
<p>Retrieves the value of the selected (active) item in the <em class="parameter"><code>combo_box</code></em>
.</p>
<div class="refsect3">
<a name="gimp-string-combo-box-get-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>combo_box</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpStringComboBox.html" title="GimpStringComboBox"><span class="type">GimpStringComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-string-combo-box-get-active.returns"></a><h4>Returns</h4>
<p> newly allocated ID string or <a href="../glib/glib-Standard-Macros.html#NULL:CAPS"><code class="literal">NULL</code></a> if nothing was selected</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpStringComboBox-struct"></a><h3>GimpStringComboBox</h3>
<pre class="programlisting">typedef struct _GimpStringComboBox GimpStringComboBox;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpStringComboBox.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpStringComboBox--ellipsize"></a><h3>The <code class="literal">“ellipsize”</code> property</h3>
<pre class="programlisting">  “ellipsize”                <span class="type">PangoEllipsizeMode</span></pre>
<p>Specifies the preferred place to ellipsize text in the combo-box,
if the cell renderer does not have enough room to display the
entire string.</p>
<p>Flags: Read / Write</p>
<p>Default value: PANGO_ELLIPSIZE_NONE</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpStringComboBox--id-column"></a><h3>The <code class="literal">“id-column”</code> property</h3>
<pre class="programlisting">  “id-column”                <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The column in the associated GtkTreeModel that holds strings to
be used as labels in the combo-box.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpStringComboBox--label-column"></a><h3>The <code class="literal">“label-column”</code> property</h3>
<pre class="programlisting">  “label-column”             <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The model column that holds the label.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Allowed values: &gt;= 0</p>
<p>Default value: 0</p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>